      program xsidtim
!
!     Exercise driver for function sidtim
!
!     B. Knapp, 98.06.24
! 
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
!
      integer*4 yr, mo, h, m
      real*8 dy, st, jd, s
!
      real*8 sidtim
      external sidtim
!
 1    write(*,'(a$)') ' Year, month, day (& fraction) (UT)? '
      read(*,*) yr,mo,dy
      
      call ymd2jd( yr, mo, dy, jd )
!
      st = sidtim( jd )
!
      call deg2dms( st/15.d0, h, m, s )
      write(*,20) ' Siderial Time:',st,h,m,s
 20   format(a16,f12.6,i4,':',i2.2,':',f4.1)
!
      goto 1
      end
